//
// Post-Install Glue (PIG) Script
//
// Desktop Cyber-Patrol Setup Link for TLC Products
//
// 16/32-bit installer chain
//

//embed-head//

// get location of cyber-patrol directory
set $3 to drive {$0}
set $3 to {$3}"\CPatrol\"
// program group name for 3.1 install
set $4 to "Online Services"
// desktop icon name for win95 install
set $5 to "Cyber Patrol - FREE Trial!"

// get config data from: 1-{$0}.ini, 2-path($0)cdlink.ini, 3-\autorun.inf
set $6 to pathname {$0}
set $2 to filebase {$0}
set $2 to {$6}{$2}".ini"
set $6 to inifile {$2} "Tlccp" "Desc"
set $7 to inifile {$2} "Tlccp" "Link"
set $2 to pathname {$0}
set $2 to {$2}cdlink.ini
set $6 to inifile {$2} "Default" "Desc" {$6}
set $6 to inifile {$2} "Tlccp" "Desc" {$6}
set $7 to inifile {$2} "Tlccp" "Link" {$7}
set $2 to drive {$0}
set $2 to {$2}\autorun.inf
set $6 to inifile {$2} "Tlccp" "Desc" {$6}
set $7 to inifile {$2} "Tlccp" "Link" {$7}
goto @configok if not equal {$6} ""
message "Error" "No TLC-CP config info"
stop
@configok

// make sure cyber patrol is present on source disk
goto @link if not exists {$3}"CP-SETUP.EXE"

// if we have already done link before, then skip, else mark and continue
set $8 to inifile {%windir}Tlcpromo.ini "CyberPatrol" {$6}
goto @link if not equal {$8} ""
inifile {%windir}Tlcpromo.ini "CyberPatrol" {$6} "1"

// if there is an aol link already on desktop, then skip
goto @nodesk if true {%win16}
goto @link if exists {%windir}Desktop\{$5}.lnk
@nodesk

// install the runlink client
goto @runlink if exists {$3}"tlclink.exe"
message "Error" "Unable to locate TLCLINK file"
stop
@runlink
run {$3}"tlclink.exe"

// try to copy over the icon
copy {$3}"CP-Setup.ICO" {%windir}Tlccp.ico

// create the desktop/program group link
goto @icon2 if true {%pig16}
// create desktop alias to link app for 32-bit
shortcut {%windir}Desktop\{$5}.lnk {%windir}Tlclink.exe {%windir}Tlccp.ico "" {$3}cp-setup.exe|{$6}
goto @icon3
@icon2
// create program group for 16-bit pig (cannot use shortcut)
set $2 to '[CreateGroup("'{$4}'")][ShowGroup("'{$4}'",1)][AddItem("'{%windir}Tlclink.exe' '{$3}'cp-setup.exe|'{$6}'","'{$5}'","'{%windir}Tlccp.ico'")]'
//message "dde" {$2}
dde PROGMAN {$2}
@icon3

// link to next application
@link
goto @link2 if equal {$7} ""
shell {$7} ""
@link2
stop

//embed-tail//
